Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transaction.lookup
Class WebsphereTransactionManagerLookupFactory

    java.lang.Object
      org.mule.transaction.lookup.WebsphereTransactionManagerLookupFactory

All Implemented Interfaces:
  TransactionManagerFactory

    public class WebsphereTransactionManagerLookupFactory

extends Object
implements TransactionManagerFactory

The code borrowed from Spring's org.springframework.transaction.jta.WebSphereTransactionManagerFactoryBean. See the apache-2.0.license file in Mule's licenses folder for details.

See Also:
  `com.ibm.ws.Transaction.TransactionManagerFactory#getTransactionManager`, `com.ibm.ejs.jts.jta.JTSXA#getTransactionManager`, `com.ibm.ejs.jts.jta.TransactionManagerFactory#getTransactionManager`

Constructor Summary
`WebsphereTransactionManagerLookupFactory()`

Method Summary
`TransactionManager` | `create(MuleConfiguration config)` This constructor retrieves the WebSphere TransactionManager factory class, so we can get access to the JTA TransactionManager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebsphereTransactionManagerLookupFactory

    public WebsphereTransactionManagerLookupFactory()

Method Detail

### create

    public TransactionManager create(MuleConfiguration config)

  This constructor retrieves the WebSphere TransactionManager factory class, so we can get access to the JTA TransactionManager.

  Specified by:
    `create` in interface `TransactionManagerFactory`
  Parameters:
    `config` -
  Returns:
    the transaction manager to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.